Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class MouseListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<MouseListener>
                  com.google.gwt.user.client.ui.MouseListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<MouseListener>, java.util.Collection<MouseListener>, java.util.List<MouseListener>, java.util.RandomAccess

    public class MouseListenerCollection

extends java.util.ArrayList<MouseListener>

A helper class for implementers of the SourcesMouseEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `MouseListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MouseListenerCollection()`

Method Summary
`void` | `fireMouseDown(Widget sender, int x, int y)` Fires a mouse down event to all listeners.
`void` | `fireMouseEnter(Widget sender)` Fires a mouse enter event to all listeners.
`void` | `fireMouseEvent(Widget sender, Event event)` A helper for widgets that source mouse events.
`void` | `fireMouseLeave(Widget sender)` Fires a mouse leave event to all listeners.
`void` | `fireMouseMove(Widget sender, int x, int y)` Fires a mouse move event to all listeners.
`void` | `fireMouseUp(Widget sender, int x, int y)` Fires a mouse up event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### MouseListenerCollection

    public MouseListenerCollection()

Method Detail

### fireMouseDown

    public void fireMouseDown(Widget sender,
                              int x,
                              int y)

  Fires a mouse down event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### fireMouseEnter

    public void fireMouseEnter(Widget sender)

  Fires a mouse enter event to all listeners.

  Parameters:
    `sender` - the widget sending the event

### fireMouseEvent

    public void fireMouseEvent(Widget sender,
                               Event event)

  A helper for widgets that source mouse events.

  Parameters:
    `sender` - the widget sending the event
    `event` - the `Event` received by the widget

### fireMouseLeave

    public void fireMouseLeave(Widget sender)

  Fires a mouse leave event to all listeners.

  Parameters:
    `sender` - the widget sending the event

### fireMouseMove

    public void fireMouseMove(Widget sender,
                              int x,
                              int y)

  Fires a mouse move event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### fireMouseUp

    public void fireMouseUp(Widget sender,
                            int x,
                            int y)

  Fires a mouse up event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD